GFPERF-PARALLEL-AU(1)

NAME
gfperf-parallel-autoreplica - Gfarm measure autoreplica performance

SYNOPSIS

gfperf-parallel-autoreplica [-t, --testdir test directory] [-m, --gfarm2fs gfarm2fs mount point] [-l, --filesize file size] [-f, --number number of files] [-r, --replica number of replica] [-s, --stop wait time] [-n, --name group name] [-w, --wait start time]

DESCRIPTION

This command creates specified number of files of specified size in test directory. The created files will be automatically replicated by gfmd. This command measures creation time of the files.

This command is expected to be called by gfperf.rb in parallel.

OPTIONS

-t, --testdir test directory
    Files are created in test directory. Specify only gfarm url (that begins with gfarm:///) . The default is gfarm:///tmp .

-m, --gfarm2fs gfarm2fs mount point
    Specify gfarm2fs mount point.

-l, --filesize file size
    File size to be created. The default is 1G. (1G=2^30)

-f, --number number of files
    Number of files to be created. The default is 10.

-r, --replica number of replica
    Number of replica. The default is 1.

-s, --stop wait time
    Wait time in seconds for replication. The default is 60 seconds.

-n, --name group name
    Group name in parallel execution.

-w, --wait start time
    Start time specified by gfperf.rb. This command waits until start time. Start time is written in UTC (YYYY-MM-DDThh:mm:ssZ) and must be in 10 seconds from current time.